商品属性項目更新
PATCH
/products/attribute_items/{code}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/attribute_items/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"string","displaySequence":"123"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/attribute_items/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "displaySequence": "123" }'商品属性項目を更新します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”code
required
string
コード
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
選択肢名
商品属性項目の名称
string format: string
displaySequence
表示順
表示順序
string format: int
Example
{ "name": "string", "displaySequence": "123"}Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
code
商品属性項目を一意にする項目
string
no
商品属性に付与されている連番
string
name
商品属性項目の名称
string
displaySequence
表示順序
string
Example
{ "code": "string", "no": "string", "name": "string", "displaySequence": "string"}- URI指定された商品属性項目が存在しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}